import { BuildingModel } from './building.model';
import { BaseProjectModel } from './project.model';
import { RegisterLandLordModel } from './user.model';


export var projectTemplate : BaseProjectModel = {
  developer_id: 0,
  developer: null,
  developer_name: null,
  land_area: null,
  name: 'Unit test project',
  property_type_id: 1,
  property_type: null,
  property_type_name: null,
  buildings: [],
  administrative_location_id: null
}

export var buildingTemplate : BuildingModel = {
    id: 0,
    name: 'Unit test building',
    physical_address1: 'Test street 1',
    physical_address2: 'Test address #01-01',
    physical_city: 'Singapore',
    physical_country_id: '161',
    physical_country_name: 'Singapore',
    physical_postal_code: '1234567',
    physical_province: 'Singapore',
    air_conditioner_id: 1,
    air_conditioner: null,
    building_grade_id: 1,
    ceiling_height: 0,
    completion_month: 0,
    completion_quarter: 0,
    completion_year: 0,
    description: 'string',
    owner_id: 0,
    asset_manager_id: null,
    holding_entity_id: null,
    fiber_optic: true,
    land_area: 0,
    last_renovated: '2018-08-01T08:55:53.496Z',
    latitude: 0,
    longitude: 0,
    minimum_density: 0,
    ownership_type: 'string',
    parking_spaces: 0,
    polygon: 'string',
    project_id: null,
    property_manager_id: null,
    purchased_date: '2018-08-01T08:55:53.496Z',
    rating: 0,
    remarks: 'string',
    service_charge: 0,
    strata: true,
    website: 'string',
    telcos: [],
    building_contacts: [],
    powers: [],
    amenities: [],
    elevators: [],
    portfolios: [],
    floors: [],
    leasing_manager_id: null,
    building_attachment: null,
    market_location_id: null,
    property_type_id: 1,
    time_zone_name: 'string'
  }


  export var userTemplate: RegisterLandLordModel = {
    company_id: null,
    email: null,
    send_welcome_mail: false,
    first_name: 'Unit Test user',
    last_name: 'Unit Test user',
    password: 'ASDasdQW!@@#XCVBNMzxcvbn',
    user_name: null,
    prefix: 'Mr.',
    city_based: 'Singapore',
    country_based: 'Singapore',
    department: 'IT',
    job_title: 'Manager',
    mobile_number: '12345672',
    profile_picture: null,
    preference_currency_code: 'SGD',
    preference_area_basis_id: 1,
    preference_area_unit_id: 1,
    roles: [],
    buildings: []
  }
